pilot-install-todos(1)

NAME
pilot-install-todos - Updates the Palm ToDo list with entries from a local file.

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-install-todos [-p|--port <port>] [--version] [-?|--help] [--usage] [-q|--quiet] [-f|--filename STRING]

DESCRIPTION

 pilot-install-todos allows the user to update the Palm ToDo list with entries from a local file.

The format of this file is a simple line-by-line ToDo task entry. For each new line in the local file, a new task is created in the ToDo database on the Palm.

OPTIONS

  pilot-install-todos options
                        -f,
                        --filename filename

A local filename containing the ToDo entry text.

  Conduit Options
                        -p, --port
                        <port>

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-install-todos will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-install-todos will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-install-todo and exit without connecting.

  Help Options
                        -h, --help

Display the help synopsis for pilot-install-todos and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

USAGE

The program will connect to a target Palm handheld, and creates the ToDo entry to the Palm ToDo application, using the specified file.

EXAMPLE

 -p /dev/pilot -f $HOME/MyTodoList.txt

AUTHOR

 pilot-install-todo was originally written by Martin Fick, based on code in pilot-install-todos by Robert A. Kaplan.

This manual page was written by Neil Williams <linux@codehelp.co.uk>

REPORTING BUGS

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 pilot-install-todo(1), pilot-link(7).